Bug 859745 - [abrt] exaile-0.3.2.2-3.fc17: idna.py:182:decode:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 2: ordinal not in range(128)
[abrt] exaile-0.3.2.2-3.fc17: idna.py:182:decode:UnicodeDecodeError: 'ascii' ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:16ade2ddb7745262d32f40c745b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 13:58 EDT by Renich Bon Ciric
Modified: 2012-12-20 11:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:15:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (36 bytes, text/plain)
2012-09-23 13:58 EDT, Renich Bon Ciric
no flags Details
File: core_backtrace (423 bytes, text/plain)
2012-09-23 13:58 EDT, Renich Bon Ciric
no flags Details

  None (edit)
Description Renich Bon Ciric 2012-09-23 13:58:49 EDT
Description of problem:
i dunno what happened. It didn't crash. I just enabled some plugins and started playing a song from jamendo.

Version-Release number of selected component:
exaile-0.3.2.2-3.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
kernel:         3.5.4-1.fc17.x86_64

backtrace:
:idna.py:182:decode:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 2: ordinal not in range(128)
:
:Traceback (most recent call last):
:  File "/usr/share/exaile/plugins/contextinfo/__init__.py", line 295, in _hover_link_cb
:    self.hover = self.un_url(url)
:  File "/usr/share/exaile/plugins/contextinfo/__init__.py", line 300, in un_url
:    return '/'.join(urllib.unquote(urlsplit).decode('idna') for urlsplit in url.split('/'))
:  File "/usr/share/exaile/plugins/contextinfo/__init__.py", line 300, in <genexpr>
:    return '/'.join(urllib.unquote(urlsplit).decode('idna') for urlsplit in url.split('/'))
:  File "/usr/lib64/python2.7/encodings/idna.py", line 182, in decode
:    unicode(input, "ascii")
:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 2: ordinal not in range(128)
:
:Local variables in innermost frame:
:input: 'Ga\xc3\xabl Brulin'
:self: <encodings.idna.Codec instance at 0x2aec1b8>
:errors: 'strict'
Comment 1 Renich Bon Ciric 2012-09-23 13:58:51 EDT
Created attachment 616179 [details]
File: event_log
Comment 2 Renich Bon Ciric 2012-09-23 13:58:53 EDT
Created attachment 616180 [details]
File: core_backtrace
Comment 3 Fedora Update System 2012-09-24 19:27:37 EDT
exaile-3.3.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/exaile-3.3.0-1.fc17
Comment 4 Fedora Update System 2012-09-24 19:28:13 EDT
exaile-3.3.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/exaile-3.3.0-1.fc18
Comment 5 Fedora Update System 2012-09-25 02:05:29 EDT
Package exaile-3.3.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-3.3.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14740/exaile-3.3.0-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 11:15:50 EST
exaile-3.3.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.